# Navigation Terminology

This is a glossary of navigation terminology used in Calypso.

## Masterbar

![Masterbar](https://cldup.com/zmCbSX8oag.png)

The masterbar is the top-level navigation bar across the Calypso interface, across all breakpoints and devices. On wide viewports, a "Write" label appears. On smaller viewports, all labels disappear.

## Frontend Masterbar

![Frontend masterbar](https://cldup.com/P9uWMEyC2k.png)

This is the front-facing counterpart to the masterbar, shown on individual sites when a user is logged in. The frontend masterbar is different from the masterbar in that it has a dark background color, and isn't as tall on most viewports.

This UI element has previously been referred to as "the adminbar", or "the toolbar".

## Calypso Sidebar

<img alt="Calypso sidebar" width="273" src="https://cldup.com/HwbutWmlWa.png" />

The Calypso sidebar shows up on the left of most screens in Calypso, and is the home to secondary navigation. On small viewports the Calypso sidebar slides to the left of the main column.

## Actionbar

<img alt="Actionbar" width="227" src="https://cldup.com/Arufy8bsZT.png" />

The actionbar shows up only on the frontend of sites. It is there to provide contextual actions, based on whether you're signed in or not, and what you're looking at. In all configurations, you'll see a follow button, and an overflow button with expanded information. If you're signed in, you'll also see a customize button (if on the posts page), or an edit button, (if on a single post or page). The actionbar shows up when a page first loads, then disappears when you scroll down. Scroll up to reveal it again.

## Environment Badge

<img alt="Environment badge" width="121" src="https://cldup.com/9vn3YjN1pk.png" />

In development environments, when you're developing Calypso, you'll see a badge in the bottom right corner.

Previous: [Information Architecture](information-architecture.md) Next: [Contributing to Calypso](../../docs/CONTRIBUTING.md)
